
import os.path
import matplotlib.pyplot as plt
import imageio
from altius_l1pp_simulator.altius_bright_limb_signals.altius_platform_simple import  AltiusPlatformSimple
from altius_l1pp_simulator.configuration import OpticsSpecs


def load():
    dirname, name = os.path.split(__file__)
    image = imageio.imread(os.path.join(dirname, 'EHDCA_001.png'))
    r = image[:,:,0]
    g = image[:,:,1]
    b = image[:,:,2]
    rp = r[350:460, 310]
    gp = g[350:460, 310]
    bp = b[350:460, 310]
    plt.plot( rp)
    plt.plot( gp)
    plt.plot( bp)
    return gp

specs = OpticsSpecs('vis')
load()
platform = AltiusPlatformSimple()
print('Done')

